var util   = require('util');
var Reader = require('buffy').Reader;

module.exports = NavdataReader;
util.inherits(NavdataReader, Reader);
function NavdataReader(buffer) {
  Reader.call(this, buffer);
}

NavdataReader.prototype.int16 = function() {
  return this.int16LE();
};

NavdataReader.prototype.uint16 = function() {
  return this.uint16LE();
};

NavdataReader.prototype.int32 = function() {
  return this.int32LE();
};

NavdataReader.prototype.uint32 = function() {
  return this.uint32LE();
};

NavdataReader.prototype.float32 = function() {
  return this.float32LE();
};

NavdataReader.prototype.mask32 = function(mask) {
  var value = this.uint32();
  return this._mask(mask, value);
};

NavdataReader.prototype._mask = function(mask, value) {
  var flags = {};
  for (var flag in mask) {
    flags[flag] = (value & mask[flag])
      ? 1
      : 0;
  }

  return flags;
};
